[vlc-commits] contrib/change_prefix.sh: don't run sed on binary files
Rafaël Carré
git at videolan.org
Sun May 27 21:26:55 CEST 2012
vlc | branch: master | Rafaël Carré <funman at videolan.org> | Sun May 27 15:25:42 2012 -0400| [4a1ff80056f48b440c7b4bfe45871f19c1298cfb] | committer: Rafaël Carré
contrib/change_prefix.sh: don't run sed on binary files
> http://git.videolan.org/gitweb.cgi/vlc.git/?a=commit;h=4a1ff80056f48b440c7b4bfe45871f19c1298cfb
---
contrib/src/change_prefix.sh | 8 ++++++--
1 file changed, 6 insertions(+), 2 deletions(-)
diff --git a/contrib/src/change_prefix.sh b/contrib/src/change_prefix.sh
index 10b8ed3..17b9a05 100755
--- a/contrib/src/change_prefix.sh
+++ b/contrib/src/change_prefix.sh
@@ -43,16 +43,20 @@ else
new_prefix=$2
fi
-# process [dir] [filemask]
+# process [dir] [filemask] [text only]
process() {
for file in `find $1 -maxdepth 1 -type f -name "$2"`
do
+ if [ -n "$3" ]
+ then
+ file $file | sed "s/^.*: //" | grep -q 'text\|shell' || continue
+ fi
echo "Fixing up $file"
sed -i.orig -e "s,$old_prefix,$new_prefix,g" $file
rm -f $file.orig
done
}
-process bin/ "*"
+process bin/ "*" check
process lib/ "*.la"
process lib/pkgconfig/ "*.pc"
More information about the vlc-commits
mailing list